# enable_gtkdoc: Toggle if gtk-doc files should be rebuilt.
#      0 = no
#      1 = yes
%define enable_gtkdoc 0

# required version of various libraries
%define req_glib_version 1.3.13
%define req_pango_version 0.24
%define req_atk_version 0.10

%define libname  libgtk+
%define major    2


Summary:	The GIMP ToolKit (GTK+), a library for creating GUIs for X.
Name:		gtk+%{major}
Version:	1.3.13
Release:	2mdk
License:	LGPL
Group:		System/Libraries
Source:		ftp://ftp.gtk.org/pub/gtk/v1.3/gtk+-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/gtk+%{major}-%{version}-root
URL:		http://www.gtk.org
Requires:	common-licenses
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	freetype2-devel
BuildRequires:	gcc
BuildRequires:	gettext
#BuildRequires:	indent
BuildRequires:	libatk-devel >= %{req_atk_version}
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	pango-devel >= %{req_pango_version}
BuildRequires:	sgml-tools
BuildRequires:	texinfo

#BuildRequires:	libglib2-devel >= %{req_glib_version}
#BuildRequires:	pkgconfig >= 0.8
#BuildRequires:	libtool >= 1.4.2

%if %enable_gtkdoc
BuildRequires: gtk-doc >= 0.9 
BuildRequires: sgml-tools
%endif
PreReq: %{libname}%{major}

%description
The gtk+ package contains the GIMP ToolKit (GTK+), a library for creating
graphical user interfaces for the X Window System.  GTK+ was originally
written for the GIMP (GNU Image Manipulation Program) image processing
program, but is now used by several other programs as well.  

If you are planning on using the GIMP or another program that uses GTK+,
you'll need to have the gtk+ package installed.

%package -n %{libname}%{major}
Summary: The GIMP ToolKit (GTK+), a library for creating GUIs for X.
Group: System/Libraries
Provides: gtk+ = %{version}
Provides: gtk2 = %{version}
Provides: gtk+2 = %{version}
Provides: libgtk+1.3 = %{version}
Obsoletes: gtk2
Obsoletes: libgtk+1.3
Requires: common-licenses
Requires: %{name} >= %{version}

%description -n %{libname}%{major}
This package contains the library needed to run programs dynamically
linked with gtk+.

%package -n %{libname}%{major}-devel
Summary: Development tools for GTK+ (GIMP ToolKit) applications.
Group: Development/GNOME and GTK+
Requires: %{libname}%{major} = %{version}
Requires: libglib%{major}-devel
Requires: XFree86-devel
Provides: gtk2-devel = %{version}
Provides: gtk+2-devel = %{version}
Provides: libgtk+1.3-devel = %{version}
Obsoletes: gtk2-devel
Obsoletes: libgtk+1.3-devel

%description -n %{libname}%{major}-devel
The libgtk+-devel package contains the static libraries and header files
needed for developing GTK+ (GIMP ToolKit) applications. The libgtk+-devel
package contains GDK (the General Drawing Kit, which simplifies the interface
for writing GTK+ widgets and using GTK+ widgets in applications), and GTK+
(the widget set).

%package -n %{libname}%{major}-linuxfb
Summary: Frame-Buffer version of The GIMP ToolKit (GTK+)
Group: System/Libraries
Requires: common-licenses
Requires: %{name} = %{version}

%description -n %{libname}%{major}-linuxfb
This package contains the Frame Buffer version of library needed to run
programs dynamically linked with gtk+.

%package -n %{libname}%{major}-linuxfb-devel
Summary: Frame-Buffer Development tools for GTK+ (GIMP ToolKit) applications.
Group: Development/GNOME and GTK+
Requires: %{libname}%{major}-linuxfb = %{version}
Requires: %{libname}%{major}-devel = %{version}
Provides: %{libname}-linuxfb-devel = %{version}

%description -n %{libname}%{major}-linuxfb-devel
This package contains the development version of library needed to 
compile programs with gtk+ Frame Buffer.

%prep
%setup -n gtk+-%{version} -q

%build

mkdir X11-build
cd X11-build

CFLAGS="%{optflags}" ../configure --prefix=%{_prefix} \
       --with-xinput=xfree \
  %if %enable_gtkdoc
       --enable-gtk-doc=yes
  %else
       --enable-gtk-doc=no
  %endif

%make
make check

cd ..

mkdir fb-build
cd fb-build
CFLAGS="%{optflags}" ../configure --prefix=%{_prefix} --with-gdktarget=linux-fb

%make
cd ..

%install
rm -rf $RPM_BUILD_ROOT

# Avoid conflict with different ChangeLogs
cp ./contrib/gdk-pixbuf-xlib/ChangeLog ./contrib/gdk-pixbuf-xlib/ChangeLog-gdk-pixbuf-xlib}
cp ./gdk-pixbuf/ChangeLog ./gdk-pixbuf/ChangeLog-gdk-pixbuf

cd fb-build
%makeinstall_std
cd ..

cd X11-build
%makeinstall_std mandir=%{_mandir}

cd ..

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gtk-2.0
touch $RPM_BUILD_ROOT%{_sysconfdir}/gtk-2.0/gtk.immodules

%{find_lang} gtk20

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname}%{major} -p /sbin/ldconfig
%post -n %{libname}%{major}-linuxfb -p /sbin/ldconfig

%post 
%{_bindir}/gtk-query-immodules-2.0 %{_libdir}/gtk-2.0/immodules/%{version}/*.so > %{_sysconfdir}/gtk-2.0/gtk.immodules

%postun -n %{libname}%{major} -p /sbin/ldconfig
%postun -n %{libname}%{major}-linuxfb -p /sbin/ldconfig

%files -f gtk20.lang
%defattr(-, root, root)
%doc INSTALL README
%{_bindir}/gtk-query-immodules-2.0
%{_datadir}/themes/Default/gtk-2.0
%dir %{_sysconfdir}/gtk-2.0
%ghost %verify (not md5 mtime size) %config(noreplace) %{_sysconfdir}/gtk-2.0/gtk.immodules

%files -n %{libname}%{major}
%defattr(-, root, root)
%doc INSTALL README
%{_libdir}/*x11*.so.*
%{_libdir}/libgdk_pixbuf*.so.*
%dir %{_libdir}/gtk-2.0
%dir %{_libdir}/gtk-2.0/immodules
%dir %{_libdir}/gtk-2.0/immodules/%{version}
%dir %{_libdir}/gtk-2.0/%{version}
%dir %{_libdir}/gtk-2.0/%{version}/*
%{_libdir}/gtk-2.0/%{version}/*/*.so
%{_libdir}/gtk-2.0/immodules/%{version}/*.so

%files -n %{libname}%{major}-devel
%defattr(-, root, root)
%doc docs/*.txt AUTHORS ChangeLog NEWS* README* TODO
%doc contrib/gdk-pixbuf-xlib/ChangeLog-* gdk-pixbuf/ChangeLog-*
%{_libdir}/lib*x11*.so
%{_libdir}/lib*x11*.a
%{_libdir}/lib*x11*.la
%{_libdir}/lib*pixbuf*.so
%{_libdir}/lib*pixbuf*.a
%{_libdir}/lib*pixbuf*.la
#%{_libdir}/gtk-2.0/%{version}/*/*a
#%{_libdir}/gtk-2.0/immodules/%{version}/*a
%{_mandir}/man1/*
%{_libdir}/gtk-2.0/include
%{_includedir}/*
%{_datadir}/aclocal/*
%{_bindir}/gtk-demo
%{_bindir}/gdk-pixbuf-csource
%{_datadir}/gtk-2.0
%{_libdir}/pkgconfig/gdk-2.0.pc
%{_libdir}/pkgconfig/gtk+-2.0.pc
%{_libdir}/pkgconfig/gdk-pixbuf-2.0.pc
%{_libdir}/pkgconfig/*x11*
%doc %{_datadir}/gtk-doc/html/*

%files -n %{libname}%{major}-linuxfb
%defattr(-, root, root)
%{_libdir}/*linux-fb*.so.*

%files -n %{libname}%{major}-linuxfb-devel
%defattr(-, root, root)
%{_libdir}/*linux-fb*.so
%{_libdir}/*linux-fb*.la
%{_libdir}/*linux-fb*.a
%{_libdir}/pkgconfig/*linux-fb*

%changelog
* Wed Feb 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.13-2mdk
- Fix provides for linuxfb-devel package

* Mon Feb  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.13-1mdk
- Release 1.3.13

* Tue Jan 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.12-4mdk
- Garzikfy build : remove ugly hack for building of linux-fb part

* Sat Jan 19 2002 Stefan van der Eijk <stefan@eijk.nu> 1.3.12-3mdk
- BuildRequires

* Tue Jan  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.12-2mdk
- Add prereq in main package
- Fix duplicate of linux-fb devel libraries in -devel (thanks to J.A. Magallon)

* Mon Jan  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.12-1mdk
- Release 1.3.12
- Remove patch0 (merged upstream)

* Fri Dec 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.11-2mdk
- Patch 0: update linux-fb to pango 0.22 API
- Create linux-fb sub-package
- Clean specfile with help of Abel Cheung <maddog@linuxhall.org> :
 - Add "enable_gtkdoc" variable to toggle building gtk-doc stuff
 - Remove all references of install-info, info files are no more
 - Remove references of {gtk+-gtkbeta}{,-devel}
 - BuildRequires: libtool >= 1.4.2 to solve bootstrap problem
 - Changed summary and description of lib package
 - Remove unused static modules from file list
 - Set config file as ghost file
 - Split one more package to please rpmlint

* Tue Dec 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.11-1mdk
- Release 1.3.11

* Mon Nov 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.10-1mdk
- Release 1.3.10
- Clean specfile

* Wed Oct 17 2001 DindinX <odin@mandrakesoft.com> 1.3.9-1mdk
- 1.3.9

* Tue Oct  9 2001 DindinX <odin@mandrakesoft.com> 1.3.6-5mdk
- some cleanups
- make rpmlint happier.

* Thu Sep 13 2001 Stefan van der Eijk <stefan@eijk.nu> 1.3.6-4mdk
- BuildRequires:	pkgconfig XFree86-devel

* Mon Aug 06 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3.6-3mdk
- circumvented the libtool problems

* Tue Jul 31 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3.6-2mdk
- rebuild with forcing use of new libtools

* Fri Jul 07 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3.6-1mdk
- updated to 1.3.6

* Wed May 16 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3.5-4mdk
- added indic input methods

* Tue May 15 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3.5-3mdk
- first version for mdk
- improved with inclusion of docs, copied from the pango site rpm package
- properly include translation files, keyboard input methods, and etc config

* Tue May 15 2001 DindinX <odin@mandrakesoft.com> 1.3.5-2mdk
- corrected package source name.

* Mon May 14 2001 DindinX <odin@mandrakesoft.com> 1.3.5-1mdk
- first mandrake release of gtk+-2.0pre

